
/* Common Open Systems Environment, Common Graphics Environment	 */		
/* Extension to	PEX 5.1	version	2.  File date: February	10, 1994 */		

/******************************************************************************/
/*  (c)	Copyright Hewlett-Packard Company, 1993,  Fort Collins,	Colorado      */
/*									      */
/*  (C)	COPYRIGHT International	Business Machines Corp.	1993		      */
/*									      */
/*   Copyright (c) 1993	by Sun Microsystems, Inc.			      */
/*									      */
/*			      All Rights Reserved			      */
/*									      */
/*  Permission to use, copy, modify, and distribute this software and its     */
/*  documentation for any purpose and without fee is hereby granted,	      */
/*  provided that the above copyright notices appear in	all copies and that   */
/*  both the copyright notices and this	permission notice appear in	      */
/*  supporting documentation, and that the names of Hewlett-Packard,	      */
/*  International Business Machines, or	Sun Microsystems not be	used in	      */
/*  advertising	or publicity pertaining	to distribution	of the software	      */
/*  without specific, written prior permission.				      */
/*									      */
/*  HEWLETT-PACKARD MAKES NO WARRANTY OF ANY KIND WITH REGARD TO THIS	      */
/*  SOFTWARE, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF	      */
/*  MERCHANTABILITY AND	FITNESS	FOR A PARTICULAR PURPOSE.  Hewlett-Packard    */
/*  shall not be liable	for errors contained herein or direct, indirect,      */
/*  special, incidental	or consequential damages in connection with the	      */
/*  furnishing,	performance or use of this software.			      */
/*									      */
/*  INTERNATIONAL BUSINESS MACHINES CORPORATION	PROVIDES THIS MATERIAL	      */
/*  "AS	IS" WITHOUT WARRANTY OF	ANY KIND, EITHER EXPRESSED OR IMPLIED,	      */
/*  INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY  */
/*  AND	FITNESS	FOR A PARTICULAR PURPOSE.				      */
/*									      */
/*  SUN	MICROSYSTEMS, INC. DISCLAIMS ALL WARRANTIES WITH REGARD	TO THIS	      */
/*  SOFTWARE, INCLUDING	ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS,*/
/*  IN NO EVENT	SHALL SUN MICROSYSTEMS,	INC. BE	LIABLE FOR ANY SPECIAL,	      */
/*  INDIRECT OR	CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER	RESULTING     */
/*  FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,      */
/*  NEGLIGENCE OR OTHER	TORTIOUS ACTION, ARISING OUT OF	OR IN CONNECTION      */
/*  WITH THE USE OR PERFORMANCE	OF THIS	SOFTWARE.			      */
/*									      */
/******************************************************************************/

 /* =======================================================================
  *  NOTE NOTE NOTE  Insert this section
  *		    at the end of pl_oc_util.h file
  * ====================================================================='=
  */
/***** Start of	Ext section ************/


#define	OC_LISTOF_EXT_VERTEX(_count, _vertexLen, _colorType, _vertFPData, _vertAttr, _vertData,	_fpConvert, _fpFormat) \
{ \
    if (_fpConvert) \
    { \
	_PEXExtOCListOfVertex (display,	_count,	_colorType, \
	    _vertFPData, _vertAttr, _vertData, _fpFormat); \
    } \
    else \
    { \
	PEXCopyWordsToOC (display, _count * _vertexLen,	\
	    (char *) _vertData.no_data); \
    } \
}

/* Ext PEXOCExt	definitions for	use with OCOPCODE macro	*/
#define	PEXOCExtTMPerspectiveCorrection	   PEXExtOCTMPerspectiveCorrection
#define	PEXOCExtTMSampleFrequency	   PEXExtOCTMSampleFrequency
#define	PEXOCExtTMResourceHints		   PEXExtOCTMResourceHints
#define	PEXOCExtActiveTextures		   PEXExtOCActiveTextures
#define	PEXOCExtBFActiveTextures	   PEXExtOCBFActiveTextures
#define	PEXOCExtFillAreaSetWithData	   PEXExtOCFillAreaSetWithData
#define	PEXOCExtSetOfFillAreaSets	   PEXExtOCSetOfFillAreaSets
#define	PEXOCExtTriangleStrip		   PEXExtOCTriangleStrip
#define	PEXOCExtQuadrilateralMesh	   PEXExtOCQuadrilateralMesh
#define	PEXOCExtPrimitiveAA		   PEXExtOCPrimitiveAA
#define	PEXOCExtLineCap			   PEXExtOCLineCapStyle
#define	PEXOCExtLineJoin		   PEXExtOCLineJoinStyle
#define	PEXOCExtEllipse			   PEXExtOCEllipse
#define	PEXOCExtEllipse2D		   PEXExtOCEllipse2D
#define	PEXOCExtCircle2D		   PEXExtOCCircle2D
#define	PEXOCExtEllipticalArc		   PEXExtOCEllipticalArc
#define	PEXOCExtEllipticalArc2D		   PEXExtOCEllipticalArc2D
#define	PEXOCExtCircularArc2D		   PEXExtOCCircularArc2D      

/* Ext PEXExtOC	definitions for	bounding the Extended OC codes */
#define	PEXExtOCMin			(PEXEnumTypeIndex) 0x9000
#define	PEXExtOCMax			(PEXEnumTypeIndex) 0x9011
/***** End of Ext section ************/

